## pyxb 1.2.4+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = 
SPHINXBUILD   = sphinx-build
PAPER         =

EPYDOC        = epydoc
EPYDOCOPTS    = --config documentation.cfg

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
.PHONY: apihtml

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

apihtml:
	mkdir -p html/api
	PYTHONPATH=.. $(EPYDOC) $(EPYDOCOPTS)

pyxbgen_cli.txt: ../pyxb/binding/generate.py ../maintainer/gendoc
	PYTHONPATH=.. ../maintainer/gendoc \
        | sed -e 's@  *$$@@' \
        > $@

GENERATED_TXT += pyxbgen_cli.txt

html: $(GENERATED_TXT)
	PYTHONPATH=. $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

clean:
	-rm -rf html _build ${GENERATED_TXT}

## pyxb 1.2.3+dfsg

=== debian/changelog ===
pyxb (1.2.3+dfsg-2) unstable; urgency=low

  * Remove override_dh_install target from debian/rules as it contained
    left-over debugging code.
  * Wrap Dependencies in debian/control.
  * Remove emtpy line at the end of debian/control.
  * Sort patterns for installed files in debian/python-pyxb.install.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 25 Apr 2014 19:20:07 +0200

pyxb (1.2.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #651170).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 22 Apr 2014 14:56:08 +0200

=== debian/control ===
Source: pyxb
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               docbook-to-man,
               python-all,
               python-sphinx (>= 1.0.7+dfsg),
               python-unittest2
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Homepage: http://pyxb.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyxb/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyxb/trunk/

Package: python-pyxb
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-pyxb-doc
Description: Python XML Schema Bindings
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema

Package: python-pyxb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python XML Schema Bindings (Documentation)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the documentation.

Package: python-pyxb-bundles-common
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (common bindings)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt common XML bindings.

Package: python-pyxb-bundles-wssplat
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (WS-* bindings)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt WS-* bindings.

Package: python-pyxb-bundles-dc
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (Dublin Core bindings)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt Dublin Core Metadata Initiative bindings.

Package: python-pyxb-bundles-saml20
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (SAML bindings)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt Security Assertion Markup Language bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	set -e ; \
	for doc in pyxbdump pyxbgen pyxbwsdl; do \
	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
	done
	dh_auto_build
	PYTHONPATH=.:doc sphinx-build -b html -d _build/.doctrees -N doc _build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for py in $(shell pyversions -r); do \
		$$py setup.py test; \
	done
endif

override_dh_clean:
	rm -rf _build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- doc/releases.txt

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg// \
http://sf.net/pyxb/PyXB-(\d\S*)\.(?:tar\.(?:gz|bz2|xz)) \
debian

## pyxb 1.2.4+dfsg

=== debian/changelog ===
pyxb (1.2.4+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #764338).
  * Add dh-python to Build-Depends.
  * Switch buildsystem to pybuild.
  * Add Python3 variants of all binary packages.
  * Rename patch to include numeric index (01-remove_remote_logo.patch).
  * Add 02-setup_open_unicode.patch to make tests work with Python3.
  * Bump Standards-Version to 3.9.6.
  * Rename BSD to BSD-2-clause in d/copyright.
  * Update years in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 24 Oct 2014 23:43:11 +0200

=== debian/control ===
Source: pyxb
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               dh-python,
               docbook-to-man,
               python-all,
               python-sphinx (>= 1.0.7+dfsg),
               python-unittest2,
               python3-all
Standards-Version: 3.9.6
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3
Homepage: http://pyxb.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyxb/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyxb/trunk/

Package: python-pyxb
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-pyxb-doc
Description: Python XML Schema Bindings (Python2 version)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the Python 2 version of the library.

Package: python3-pyxb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pyxb-doc
Description: Python XML Schema Bindings (Python3 version)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the Python 3 version of the library.

Package: python-pyxb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python XML Schema Bindings (Documentation)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the documentation.

Package: python-pyxb-bundles-common
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (common bindings for Python2)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt common XML bindings for Python2.

Package: python3-pyxb-bundles-common
Architecture: all
Depends: python3-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Python XML Schema Bindings (common bindings for Python3)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt common XML bindings for Python3.

Package: python-pyxb-bundles-wssplat
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (WS-* bindings for Python2)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt WS-* bindings for Python2.

Package: python3-pyxb-bundles-wssplat
Architecture: all
Depends: python3-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Python XML Schema Bindings (WS-* bindings for Python3)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt WS-* bindings for Python3.

Package: python-pyxb-bundles-dc
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (Dublin Core bindings for Python2)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt Dublin Core Metadata Initiative bindings
 for Python2.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg// \
http://sf.net/pyxb/PyXB-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))

## pyxb 1.2.5

=== debian/changelog ===
pyxb (1.2.5-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Change my email address to fladi@debian.org.
  * Use python3-sphinx to build documentation.

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Sep 2016 08:33:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: python
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                docbook-to-man,
                python-all,
-               python-sphinx (>= 1.0.7+dfsg),
                python-unittest2,
-               python3-all
-Standards-Version: 3.9.6
+               python3-all,
+               python3-sphinx
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://pyxb.sourceforge.net/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyxb/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyxb/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyxb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyxb.git
 
 Package: python-pyxb
 Architecture: all
@@ -258,3 +258,4 @@
  This package contains the prebuilt Dublin Core Metadata Initiative bindings
  for Python2.
 
+Package: python3-pyxb-bundles-dc

## pyxb 1.2.6+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -2,12 +2,9 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    = 
+SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
-
-EPYDOC        = epydoc
-EPYDOCOPTS    = --config documentation.cfg
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -15,7 +12,6 @@
 ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
-.PHONY: apihtml
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -30,22 +26,17 @@
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
-apihtml:
-	mkdir -p html/api
-	PYTHONPATH=.. $(EPYDOC) $(EPYDOCOPTS)
-
 pyxbgen_cli.txt: ../pyxb/binding/generate.py ../maintainer/gendoc
 	PYTHONPATH=.. ../maintainer/gendoc \
-        | sed -e 's@  *$$@@' \
+        | sed -e 's@  *$$@@' -e '$${/^$$/d;}' \
         > $@
 
 GENERATED_TXT += pyxbgen_cli.txt
 
 html: $(GENERATED_TXT)
-	PYTHONPATH=. $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
+	PYTHONPATH=.:.. $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
 clean:
 	-rm -rf html _build ${GENERATED_TXT}
-

=== debian/changelog ===
pyxb (1.2.6+dfsg-3) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Jul 2019 20:37:06 +0200

pyxb (1.2.6+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Andreas Tille ]
  * Build-Depends: python3-gdbm, python3-tk
    Closes: #896614
  * d/control:
    - Standards-Version: 4.1.4
    - Testsuite: autopkgtest-pkg-python
    - Sorting fields by cme

 -- Andreas Tille <tille@debian.org>  Mon, 30 Apr 2018 07:20:22 +0200

pyxb (1.2.6+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Repack because of pre-built documentation.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * Add patch to remove sphinx_epytext.
  * Remove jquery.js and Expat license from d/copyright because of DFSG
    repack.
  * Bump Standards-Version to 4.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 26 Sep 2017 21:26:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,51 +1,20 @@
 Source: pyxb
-Section: python
-Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 9),
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                docbook-to-man,
-               python-all,
-               python-unittest2,
                python3-all,
-               python3-sphinx
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.3
+               python3-sphinx,
+               python3-gdbm,
+               python3-tk
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pyxb
+Vcs-Git: https://salsa.debian.org/python-team/modules/pyxb.git
 Homepage: http://pyxb.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyxb.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyxb.git
-
-Package: python-pyxb
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
-Suggests: python-pyxb-doc
-Description: Python XML Schema Bindings (Python2 version)
- PyXB is a pure Python package that generates Python code for classes that
- correspond to data structures defined by XMLSchema. In concept it is similar to
- JAXB for Java and CodeSynthesis XSD for C++.
- .
- The major goals of PyXB are:
-  * Provide a generated Python interface that is “Pythonic”, meaning similar to
-    one that would have been hand-written:
-    + Attributes and elements are Python properties, with name conflicts
-      resolved in favor of elements
-    + Elements with maxOccurs larger than 1 are stored as Python lists
-    + Bindings for type extensions inherit from the binding for the base type
-    + Enumeration constraints are exposed as class (constant) variables
-  * Support bi-directional conversion (document to Python and back)
-  * Allow easy customization of the generated bindings to provide functionality
-    along with content
-  * Support all XMLSchema features that are in common use, including:
-    + complex content models (nested all/choice/sequence)
-    + cross-namespace dependencies
-    + include and import directives
-    + constraints on simple types
-  * Validate the documents against their schema
- .
- This package contains the Python 2 version of the library.
 
 Package: python3-pyxb
 Architecture: all
@@ -78,8 +47,8 @@
  This package contains the Python 3 version of the library.
 
 Package: python-pyxb-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: Python XML Schema Bindings (Documentation)
@@ -106,36 +75,6 @@
   * Validate the documents against their schema
  .
  This package contains the documentation.
-
-Package: python-pyxb-bundles-common
-Architecture: all
-Depends: python-pyxb (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends}
-Description: Python XML Schema Bindings (common bindings for Python2)
- PyXB is a pure Python package that generates Python code for classes that
- correspond to data structures defined by XMLSchema. In concept it is similar to
- JAXB for Java and CodeSynthesis XSD for C++.
- .
- The major goals of PyXB are:
-  * Provide a generated Python interface that is “Pythonic”, meaning similar to
-    one that would have been hand-written:
-    + Attributes and elements are Python properties, with name conflicts
-      resolved in favor of elements
-    + Elements with maxOccurs larger than 1 are stored as Python lists
-    + Bindings for type extensions inherit from the binding for the base type
-    + Enumeration constraints are exposed as class (constant) variables
-  * Support bi-directional conversion (document to Python and back)
-  * Allow easy customization of the generated bindings to provide functionality
-    along with content
-  * Support all XMLSchema features that are in common use, including:
-    + complex content models (nested all/choice/sequence)
-    + cross-namespace dependencies
-    + include and import directives
-    + constraints on simple types
-  * Validate the documents against their schema
- .
- This package contains the prebuilt common XML bindings for Python2.
 
 Package: python3-pyxb-bundles-common
 Architecture: all
@@ -167,36 +106,6 @@
  .
  This package contains the prebuilt common XML bindings for Python3.
 
-Package: python-pyxb-bundles-wssplat
-Architecture: all
-Depends: python-pyxb (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends}
-Description: Python XML Schema Bindings (WS-* bindings for Python2)
- PyXB is a pure Python package that generates Python code for classes that
- correspond to data structures defined by XMLSchema. In concept it is similar to
- JAXB for Java and CodeSynthesis XSD for C++.
- .
- The major goals of PyXB are:
-  * Provide a generated Python interface that is “Pythonic”, meaning similar to
-    one that would have been hand-written:
-    + Attributes and elements are Python properties, with name conflicts
-      resolved in favor of elements
-    + Elements with maxOccurs larger than 1 are stored as Python lists
-    + Bindings for type extensions inherit from the binding for the base type
-    + Enumeration constraints are exposed as class (constant) variables
-  * Support bi-directional conversion (document to Python and back)
-  * Allow easy customization of the generated bindings to provide functionality
-    along with content
-  * Support all XMLSchema features that are in common use, including:
-    + complex content models (nested all/choice/sequence)
-    + cross-namespace dependencies
-    + include and import directives
-    + constraints on simple types
-  * Validate the documents against their schema
- .
- This package contains the prebuilt WS-* bindings for Python2.
-
 Package: python3-pyxb-bundles-wssplat
 Architecture: all
 Depends: python3-pyxb (= ${binary:Version}),
@@ -227,12 +136,12 @@
  .
  This package contains the prebuilt WS-* bindings for Python3.
 
-Package: python-pyxb-bundles-dc
+Package: python3-pyxb-bundles-dc
 Architecture: all
-Depends: python-pyxb (= ${binary:Version}),
+Depends: python3-pyxb (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
-Description: Python XML Schema Bindings (Dublin Core bindings for Python2)
+         ${python3:Depends}
+Description: Python XML Schema Bindings (Dublin Core bindings for Python3)
  PyXB is a pure Python package that generates Python code for classes that
  correspond to data structures defined by XMLSchema. In concept it is similar to
  JAXB for Java and CodeSynthesis XSD for C++.
@@ -256,6 +165,35 @@
   * Validate the documents against their schema
  .
  This package contains the prebuilt Dublin Core Metadata Initiative bindings
- for Python2.
+ for Python3.
 
-Package: python3-pyxb-bundles-dc
+Package: python3-pyxb-bundles-saml20
+Architecture: all
+Depends: python3-pyxb (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
+Description: Python XML Schema Bindings (SAML bindings for Python3)
+ PyXB is a pure Python package that generates Python code for classes that
+ correspond to data structures defined by XMLSchema. In concept it is similar to
+ JAXB for Java and CodeSynthesis XSD for C++.
+ .
+ The major goals of PyXB are:
+  * Provide a generated Python interface that is “Pythonic”, meaning similar to
+    one that would have been hand-written:
+    + Attributes and elements are Python properties, with name conflicts
+      resolved in favor of elements
+    + Elements with maxOccurs larger than 1 are stored as Python lists
+    + Bindings for type extensions inherit from the binding for the base type
+    + Enumeration constraints are exposed as class (constant) variables
+  * Support bi-directional conversion (document to Python and back)
+  * Allow easy customization of the generated bindings to provide functionality
+    along with content
+  * Support all XMLSchema features that are in common use, including:
+    + complex content models (nested all/choice/sequence)
+    + cross-namespace dependencies
+    + include and import directives
+    + constraints on simple types
+  * Validate the documents against their schema
+ .
+ This package contains the prebuilt Security Assertion Markup Language bindings
+ for Python3.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	set -e ; \
@@ -12,12 +12,12 @@
 	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
 	done
 	dh_auto_build
-	PYTHONPATH=.:doc sphinx-build -b html -d _build/.doctrees -N doc _build/html
+	PYTHONPATH=.:doc python3 -m sphinx -b html -d _build/.doctrees -N doc _build/html
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
-	for py in $(shell pyversions -r); do \
+	for py in $(shell py3versions -r); do \
 		$$py setup.py test; \
 	done
 endif

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg// \
https://sf.net/pyxb/PyXB-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))
